# -*- tcl -*-
#		Listx @mFullVersion@, as of @mDate@
#
# @c Sub commands to access a list as a queue.

proc ::listx::q_add {var element} {
    upvar 2 $var list
    set          list [::listx append list $element]
}

proc ::listx::q_top {var} {
    upvar 2 $var   list
    ::listx index $list 0
}

proc ::listx::q_remove {var} {
    upvar 2 $var list
    set          list [::listx range $list 1 end]
    return
}
